/v0/merchants/{merchant_code}/readers/{reader_id}/go-checkoutInitiates a payment on the SumUp Go terminal identified by the reader ID.
Use client_transaction_id as an idempotency key: retrying the request with the same value returns the result of the original payment instead of creating a duplicate.
OAuth scopes: Requires one of: payments, readers.write.
Required permissions:
readers_checkout_create
Path parameters
Short unique identifier for the merchant.
Example:
"MK10CL2A"- minLength:
30maxLength:30The unique identifier of the reader.
Example:
"rdr_3MSAFM23CK82VSTT4BN6RWSQ65"
Body parameters
application/jsonrequiredPayment details to initiate on the reader.
Caller-supplied correlation identifier, used as the idempotency key.
Example:
"19e12390-72cf-4f9f-80b5-b0c8a67fa43f"Amount charged on the reader, including any tip. The amount is represented as an integer value altogether with the currency and the minor unit. For example, MXN 10.00 is represented as value 1000 with minor unit of 2.
Example:
{"currency":"MXN","value":1000}- affiliateobject
Optional caller-supplied context about the integration initiating the payment.
- tip_amountinteger
Portion of total_amount that is a tip, in minor units.
Example:
200
Responses
200application/json
Returns the result of the payment initiated on the reader.
- dataobject
Show 2 properties
- client_transaction_idstring
Caller-supplied correlation identifier that was provided in the request.
Example:
"3fa85f64-5717-4562-b3fc-2c963f66afa6" - transaction_codestring
Transaction code returned by the acquirer/processing entity after processing the transaction.
Example:
"TEENSK4W2K"
400application/problem+json
The request is invalid.
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.
Example:
"https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"
401application/problem+json
Authentication failed or missing required scope.
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.
Example:
"https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"
404application/problem+json
The requested Reader resource does not exist.
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.
Example:
"https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"
422application/problem+json
The request could not be processed as it violates a business rule.
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.
Example:
"https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"